Module | Sequel::Swift
In: | lib/sequel/adapters/swift/postgres.rb lib/sequel/adapters/swift/sqlite.rb lib/sequel/adapters/swift/mysql.rb lib/sequel/adapters/swift.rb

Module holding the Swift DB support for Sequel. Swift DB is a collection of drivers used in Swift ORM.

The Swift adapter currently supports PostgreSQL, MySQL and SQLite3

      Sequel.connect('swift://user:password@host/database?db_type=postgres')
      Sequel.connect('swift://user:password@host/database?db_type=mysql')

### Classes and Modules

Module Sequel::Swift::MySQL
Module Sequel::Swift::Postgres
Module Sequel::Swift::SQLite

### Constants

DATABASE_SETUP | = | {:postgres=>proc do |db| Sequel.ts_require 'adapters/swift/postgres' |  | Contains procs keyed on sub adapter type that extend the given database object so it supports the correct database type.

[Validate]